[algosdk](../README.md) / [Exports](../modules.md) / EncodedAssetParams

# Interface: EncodedAssetParams

Interfaces for the encoded transaction object. Every property is labelled with its associated Transaction type property

## Table of contents

### Properties

- [am](EncodedAssetParams.md#am)
- [an](EncodedAssetParams.md#an)
- [au](EncodedAssetParams.md#au)
- [c](EncodedAssetParams.md#c)
- [dc](EncodedAssetParams.md#dc)
- [df](EncodedAssetParams.md#df)
- [f](EncodedAssetParams.md#f)
- [m](EncodedAssetParams.md#m)
- [r](EncodedAssetParams.md#r)
- [t](EncodedAssetParams.md#t)
- [un](EncodedAssetParams.md#un)

## Properties

### am

• `Optional` **am**: `Buffer`

assetMetadataHash

#### Defined in

types/transactions/encoded.ts:61

___

### an

• `Optional` **an**: `string`

assetName

#### Defined in

types/transactions/encoded.ts:46

___

### au

• `Optional` **au**: `string`

assetURL

#### Defined in

types/transactions/encoded.ts:56

___

### c

• `Optional` **c**: `Buffer`

assetClawback

#### Defined in

types/transactions/encoded.ts:41

___

### dc

• **dc**: `number`

assetDecimals

#### Defined in

types/transactions/encoded.ts:21

___

### df

• **df**: `boolean`

assetDefaultFrozen

#### Defined in

types/transactions/encoded.ts:16

___

### f

• `Optional` **f**: `Buffer`

assetFreeze

#### Defined in

types/transactions/encoded.ts:36

___

### m

• `Optional` **m**: `Buffer`

assetManager

#### Defined in

types/transactions/encoded.ts:26

___

### r

• `Optional` **r**: `Buffer`

assetReserve

#### Defined in

types/transactions/encoded.ts:31

___

### t

• **t**: `number` \| `bigint`

assetTotal

#### Defined in

types/transactions/encoded.ts:11

___

### un

• `Optional` **un**: `string`

assetUnitName

#### Defined in

types/transactions/encoded.ts:51
